import { MatchQuery } from 'src/modules/matcher/queries/match.query';
import { Candidate } from '../../candidate';
import { Completer } from './completer.abstract';

export class RouteCompleter extends Completer {
  _withPoints: boolean;
  _withTime: boolean;
  _withDistance: boolean;

  constructor(
    matchQuery: MatchQuery,
    withPoints = false,
    withTime = false,
    withDistance = false,
  ) {
    super(matchQuery);
    this._withPoints = withPoints;
    this._withTime = withTime;
    this._withDistance = withDistance;
  }

  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  complete = (candidates: Array<Candidate>): Array<Candidate> => {
    return [];
  };
}
