import { MatchQuery } from 'src/modules/matcher/queries/match.query';
import { Candidate } from '../candidate';

export abstract class Selector {
  _matchQuery: MatchQuery;

  constructor(matchQuery: MatchQuery) {
    this._matchQuery = matchQuery;
  }

  abstract select(): Promise<Array<Candidate>>;
}
